Register an x402 endpoint
curl --request POST \
--url https://api.getsly.ai/v1/v1/x402/endpoints \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"path": "<string>",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"basePrice": 499999.50005,
"description": "<string>",
"currency": "USDC",
"volumeDiscounts": [
{
"threshold": 123,
"priceMultiplier": 0
}
],
"webhookUrl": "<string>",
"network": "base-mainnet"
}
'import requests
url = "https://api.getsly.ai/v1/v1/x402/endpoints"
payload = {
"name": "<string>",
"path": "<string>",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"basePrice": 499999.50005,
"description": "<string>",
"currency": "USDC",
"volumeDiscounts": [
{
"threshold": 123,
"priceMultiplier": 0
}
],
"webhookUrl": "<string>",
"network": "base-mainnet"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
path: '<string>',
accountId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
basePrice: 499999.50005,
description: '<string>',
currency: 'USDC',
volumeDiscounts: [{threshold: 123, priceMultiplier: 0}],
webhookUrl: '<string>',
network: 'base-mainnet'
})
};
fetch('https://api.getsly.ai/v1/v1/x402/endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"path": "<string>",
"basePrice": 123,
"paymentAddress": "<string>",
"network": "<string>",
"totalCalls": 123,
"totalRevenue": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"volumeDiscounts": [],
"assetAddress": "<string>",
"webhookUrl": "<string>"
}
}{
"error": "<string>",
"code": "<string>",
"details": "<unknown>",
"request_id": "<string>"
}{
"error": "<string>",
"code": "<string>",
"details": "<unknown>",
"request_id": "<string>"
}{
"error": "<string>",
"code": "<string>",
"details": "<unknown>",
"request_id": "<string>"
}x402
Register an x402 endpoint
Register an API endpoint that will accept x402 micropayments. Returns a payment address and asset details to advertise in 402 responses.
POST
/
v1
/
x402
/
endpoints
Register an x402 endpoint
Authorizations
API key (pk_test_* or pk_live_), JWT session, agent token (agent_), Ed25519 session (sess_), or portal token (portal_).
Body
application/json
Required string length:
1 - 255Required string length:
1 - 500Pattern:
^\/Available options:
GET, POST, PUT, DELETE, PATCH, ANY Required range:
0.0001 < x <= 999999Maximum string length:
1000Available options:
USDC, EURC Show child attributes
Show child attributes
Response
Endpoint registered
Show child attributes
Show child attributes
⌘I